Subject: [PATCH v2 0/1] builtin/pack-objects.c: avoid iterating all refs

From: Jacob Vosmaer <[email-masked]>
Date: Wed, 20 Jan 2021 13:45:13 +0100

I have updated the patch with more background information in the
commit message, and I have cleaned up the add_ref_tag iterator
callback a bit. I also switched to for_each_tag_ref.

On the previous version of the patch there was some discussion about
whether we can use for_each_tag_ref in combination with peel_ref. It
turns out we can, and we were already doing it in the same file:
search for mark_tagged to see what I mean.

Jacob Vosmaer (1):
  builtin/pack-objects.c: avoid iterating all refs

 builtin/pack-objects.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

-- 
2.30.0